<?
########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####

include_once("auth.php");
db_connect($db_host, $db_user, $db_pass);
?>
<HTML>
<HEAD>
<META content="text/html; charset=<? echo $lang_html_charset; ?>" http-equiv=Content-Type>
<LINK href="<?=$strSkinName?>/style.css" rel=stylesheet type=text/css>
</HEAD>

<BODY bgColor=#ffffff bottomMargin=0 leftMargin=0 topMargin=0 MARGINHEIGHT="0" MARGINWIDTH="0">
<br><? include("../fehler.inc.php"); ?>
<script>
function doChange()
{
document.forms[0].submit();
}
</script>
<table class="tblbgcolor" align="left" border="1" cellpadding="3" cellspacing="0" bordercolorlight="#CCCCCC" bordercolordark="#FFFFFF">
      <form action="allgemein_sprache2.php" method="post">
          <tr>
            <td>
              <div align="right"><? echo ltext("alsp_cell_language"); ?></div>
            </td>
            <td>
              <select name="language"><?
$languages = get_langs();
for ($i=0; $i < count($languages["short"]);$i++)
	{
	 $shortlang = $languages["short"][$i];
	 $natname = $languages["nat"][$i];
	 $selected = "";
	 if ($shortlang == $lang_short) { $selected = " selected"; }
	 echo "<option value=\"$shortlang\"$selected>$natname</option>\n";
	}
?>
</select>
            </td>
          </tr>
<tr>
<td>
<div align="right">Design</div>
</td>
<td>
<select name="skin">
<?

$id = db_query('SELECT oldskins FROM admin');
$res = db_fetch_array($id);

$oldskins = $res['oldskins'];

$query = "SELECT id, show_name, path FROM custom_skins WHERE (owner_type = 'preinstalled' OR owner_type = 'admin')";
if(!$oldskins)
{
	$query .= " AND version <> 'classic20'";
}
$id = db_query($query);
while($res = db_fetch_array($id))
{
	$selected = '';
	if($res['path'] == $strSkinName)
	{
		$selected=" selected";
	}
	?><OPTION value="<?=$res['id']?>"<?=$selected?>><?=$res['show_name']?></option><?
}

?>
</select>

</td>
</tr>
<tr>
<td align="right"><? echo ltext("alsp_cell_oldskins"); ?></td>
<td><INPUT type="hidden" name="oldskins" value="0"><INPUT type="checkbox" name="oldskins" value="1"<?=$oldskins?' checked':''?>></td>
</tr>
<tr>
            <td>&nbsp;</td>
            <td><? echo std_button(ltext("alsp_button1"), "javascript:doChange()"); ?></td>
          </tr>
      </form>
</TABLE>
</BODY>
</HTML>
<?
db_close();
?>
